Summary: Consistent/persistent storage device access through symlinking
Name: devlabel
Version: 0.26.08
Release: 3
Copyright: GPL
Group: System Environment/Base
Source: http://domsch.com/linux/devlabel/devlabel-%{version}.tar.gz
Patch: devlabel-0.26.08-s390.patch
Requires: sed grep gawk textutils fileutils diffutils 
Requires: initscripts > 6.97-1
Requires: util-linux
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root/

%description
This package contains the devlabel implementation.  It allows for consistent
mounting of devices.  This is accomplished through tagging a unique identifier 
to each device/symlink combination and confirming that the identifier still
matches the device name before it allows the symlink mapping to procede.

%prep
%setup
%patch -p1 -b .s390

%build
gcc $RPM_OPT_FLAGS -o scsi_unique_id scsi_unique_id.c

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/bin,usr/share/man/man8,etc/sysconfig}
install -m 755 devlabel $RPM_BUILD_ROOT/sbin
install -m 755 scsi_unique_id $RPM_BUILD_ROOT/usr/bin
install -m 644 devlabel.8 $RPM_BUILD_ROOT/usr/share/man/man8
install -m 644 sysconfig.devlabel $RPM_BUILD_ROOT/etc/sysconfig/devlabel

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
/sbin/devlabel
/usr/bin/scsi_unique_id
%config(noreplace) /etc/sysconfig/devlabel
/usr/share/man/man8/devlabel.8*

%changelog
* Tue Jan 28 2003 Phil Knirsch <pknirsch@redhat.com> 0.26.08-3
- Disabled fdisk and with that add stuff for s390(x) completely for now.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Bill Nottingham <notting@redhat.com> 0.26.08-1
- update to 0.26.08
- ship the tarball

* Thu Dec 05 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- require util-linux instead of some of its apps
  due to fdisk not being available on mainframe

* Mon Dec  2 2002 Bill Nottingham <notting@redhat.com> 0.23-2
- package upstream version
- clean up spec file a little
- fix requires

* Tue Oct 29 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Created scsi_unique_id variable to increase speed
- Fixed unbound raw device status
- Made restart,reload truly synonymous with start

* Mon Oct 28 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Fixed remapping bug

* Mon Oct 21 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Updated man page to reflect interdisk renaming limitation

* Wed Oct 16 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Changed output of raw status

* Thu Oct 10 2002 Gary Lerhaupt gary_lerhaupt@dell.com 
- fixed fdisk -l bug

* Mon Oct 7 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- changed check to see if device even exists in devlabel add
- changed some seds to awks
- changed reading in of /proc/partitions

* Tue Sep 17 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Got rid of egrep -o usage

* Wed Aug 28 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Transistition devlabel from sysV to /sbin script
- Added rc.sysinit patch

* Tue Aug 27 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Added second hotplug_usb patch for 7.3 and up

* Fri Aug 23 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Add model names to SCSI UUIDs

* Thu Aug 22 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Added log statement for when devlabel is started/restarted
- Added hotplugging patches for pci, usb & ieee1394

* Wed Aug 21 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Added model to IDE UUIDs
- Fixed error messages
- PCMCIA storage works

* Tue Aug 20 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- First working release
- Questionable multipath support
- Questionable USB support
- Questionable PCMCIA support
- No hotplug support

* Fri Aug 16 2002 Gary Lerhaupt gary_lerhaupt@dell.com
- Initial transition from saferawdevices to devlabel
